opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::SURF Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::SURF:

## Public Member Functions
| CV_WRAP_AS (detect) void operator()(const Mat &img
| finds the keypoints using fast hessian detector used in SURF
| CV_WRAP_AS (detect) void operator()(const Mat &img
| finds the keypoints and computes their descriptors. Optionally it can compute descriptors for the user-provided keypoints
CV_WRAP int | descriptorSize () const
| returns the descriptor size in float's (64 or 128)
CV_WRAP | SURF ()
| the default constructor
CV_WRAP | SURF (double _hessianThreshold, int _nOctaves=4, int _nOctaveLayers=2, bool _extended=false)
| the full constructor taking all the necessary parameters

## Public Attributes
const Mat CV_OUT vector < KeyPoint > &keypoints | const
const Mat CV_OUT vector < KeyPoint > CV_OUT vector < float > & | descriptors
const Mat CV_OUT vector < KeyPoint > & | keypoints
const Mat & | mask
const Mat CV_OUT vector < KeyPoint > CV_OUT vector < float > bool | useProvidedKeypoints =false) const
Public Attributes inherited from CvSURFParams
int | extended
double | hessianThreshold
int | nOctaveLayers
int | nOctaves

## Detailed Description

SURF implementation.

The class implements SURF algorithm by H. Bay et al.

## Constructor & Destructor Documentation

CV_WRAP cv::SURF::SURF | ( |  | ) |

the default constructor

CV_WRAP cv::SURF::SURF | ( | double | _hessianThreshold,
|  | int | _nOctaves = `4`,
|  | int | _nOctaveLayers = `2`,
|  | bool | _extended = `false`
| ) |  |

the full constructor taking all the necessary parameters

## Member Function Documentation

cv::SURF::CV_WRAP_AS | ( | detect |  | ) | const

finds the keypoints using fast hessian detector used in SURF

cv::SURF::CV_WRAP_AS | ( | detect |  | ) | const

finds the keypoints and computes their descriptors. Optionally it can compute descriptors for the user-provided keypoints

CV_WRAP int cv::SURF::descriptorSize | ( |  | ) | const

returns the descriptor size in float's (64 or 128)

## Member Data Documentation

const Mat CV_OUT vector<KeyPoint>& keypoints cv::SURF::const

const Mat CV_OUT vector<KeyPoint> CV_OUT vector<float>& cv::SURF::descriptors

const Mat CV_OUT vector<KeyPoint>& cv::SURF::keypoints

const Mat & cv::SURF::mask

const Mat CV_OUT vector<KeyPoint> CV_OUT vector<float> bool cv::SURF::useProvidedKeypoints =false) const

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp